/* FindArg.c   V1.0   93-03-09                 */
/* ROM library: "dos.library/FindArg", (V36+)  */
/* Copyright 1993, Anders Bjerin, Amiga C Club */


#include <dos/dos.h>
#include <dos/rdargs.h>

#include <clib/dos_protos.h>
#include <stdio.h>
#include <stdlib.h>

/* The command line template we will examine: */
#define MY_COMMAND_LINE_TEMPLATE "SoundFile/A,V=Volume/K/N,F=Filter/S"

UBYTE *version = "$VER: FindArg V1.0";

int main( int argc, char *argv[] );
int main( int argc, char *argv[] )
{
  int template_position;


  /* Print the position of the command template named "Volume": */
  /* (It is the second command template = position 1.)         */
  template_position = FindArg( MY_COMMAND_LINE_TEMPLATE, "Volume" );
  printf( "Position: %d\n", template_position );

  exit( 0 );
}

